<?php
require_once '../core/system.php';
echo only_reg();
echo moder();
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razdel` WHERE `id` = '".intval($_GET['id'])."'"),0) == true){
$razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id`  = '".intval($_GET['id'])."'"));
}else{
$_SESSION['err'] = "Раздел не найден";
header('Location: /forum');
exit();
}
if ($razdel['read_only'] == '1') {
// Read_only
$checked_ro = 'checked';
}
if ($razdel['private_post'] == '1') {
// Private_post
$checked_pp = 'checked';
}
if ($razdel['news_post'] == '1') {
// News post
$checked_np = 'checked';
}
if ($razdel['main_forum'] == '1') {
$success_redir = "/forum?parent_id=$razdel[id]";
}elseif ($razdel['main_forum'] == '0') {
$success_redir = "/forum?id=$razdel[id]";
} 
$header = 'Изменение раздела';
Include_once '../core/head.php';
if(isset($_POST['name'])) {
$news_post = num($_POST['news_post']);
$read_only = num($_POST['read_only']);
$private_post = num($_POST['private_post']);
$name = check($_POST['name']);
if(mb_strlen($name) < 3 or mb_strlen($name) > 40) $err =  'Длина названия должна быть в пределах 3 - 40 символов';
if(!isset($err)) {
mysql_query("UPDATE `forum_razdel` SET `name` = '$name', private_post = '$private_post', read_only = '$read_only', `news_post` = '$news_post' WHERE `id` = '$razdel[id]' LIMIT 1");
header("Location: $success_redir");
$_SESSION['message'] = 'Раздел изменён!';
exit();
}else{
header("Location: edit_forum?forum_id=$razdel[id]");
$_SESSION['err'] = $err;
exit();
}
}
echo '<form class="player" method="post" action="?id='.$razdel[id].'">
Название<br /><input class="text large" value="'.$razdel[name].'" type="text" name="name" /><br />';
if ($user['prava'] >= '5') {
echo '<input type="checkbox" name="news_post" value="1" '.$checked_np.' /><span>Новостной раздел</span><br />';
}
echo '<input type="checkbox" name="read_only" value="1" '.$checked_ro.' /><span>Игроки не могут создавать топики</span><br />
<input type="checkbox" name="private_post" value="1" '.$checked_pp.' /><span>Доступен только администрации</span><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Изменить">Изменить</span></span>
<div class="mini-line"></div></form>
<div class="player menuList">
<li><a href="/moder_tools/"><img src="/images/icon/arrow.png">Назад</a></li>';
if ($razdel['main_forum'] == '1') {
echo '<li><a href="/forum?parent_id='.$razdel[id].'"><img src="/images/icon/arrow.png">Назад в раздел</a></li></div>';
}elseif ($razdel['sub_forum'] == '1') {
echo '<li><a href="/forum?id='.$razdel[id].'"><img src="/images/icon/arrow.png">Назад в раздел</a></li></div>';
}
Include_once '../core/foot.php';
?>